Bug 655114 - Nautilus does not refresh folders on Webdav
Summary: Nautilus does not refresh folders on Webdav
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-19 16:24 UTC by Assen Totin
Modified: 2015-03-03 22:55 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-16 20:52:08 UTC


Attachments (Terms of Use)

Description Assen Totin 2010-11-19 16:24:49 UTC
Description of problem:

When a WebDav share is mounted in Nautilus and a file is copied, renamed etc., Nautilus does not refresh the window. Only after pressing F5 the change becomes visible (e.g., copied file shows up). Tested on Secure WebDav, but probably same problem exists on unencrypted WebDav.

Version-Release number of selected component (if applicable):

nautilus-2.32.1-1.fc14.i686

How reproducible:
Every time.

Steps to Reproduce:
1. Mount a Secure WebDav share (System - Places - Connect to server...)
2. Authenticate with a username and password
3. Drag and drop file to the WebDav share window
  
Actual results:
The window stays unchanged.

Expected results:
The window should show the newly copied file.

Additional info:
After pressing F5, the file is shown. This means Nautilus completes the WebDav transaction, but does not refresh the window.

This might need escalation upstream as other distributions seem affected too (https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/512496).

Comment 1 Assen Totin 2010-11-19 16:33:11 UTC
Hi,

A further test confirms that if the same share is mounted using mount.davfs, then Nautilus works fine (copies, renames files and the window is instantly refreshed).

WWell,

Assen

Comment 2 Fedora End Of Life 2012-08-16 20:52:10 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.